Bug 501374 - disable MSI on VIA VT3364 chipsets
Summary: disable MSI on VIA VT3364 chipsets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Dean Nelson
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 507529
TreeView+ depends on / blocked
 
Reported: 2009-05-18 20:04 UTC by Flavio Leitner
Modified: 2018-10-19 18:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 08:05:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch with upstream commit backported for 2.6.18-148.el5 (2.16 KB, patch)
2009-05-18 20:10 UTC, Flavio Leitner
no flags Details | Diff
[RHEL5 PATCH] PCI quirk: disable MSI on VIA VT3364 chipsets (1.77 KB, patch)
2009-06-02 17:11 UTC, Dean Nelson
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 08:53:34 UTC

Description Flavio Leitner 2009-05-18 20:04:13 UTC
Description of problem:
System requires pci=nomsi boot parameter during and after installation. If parameter not available and the network device is enabled during installation, the system will hang during boot after installation and OS will become corrupted.

Linux localhost.localdomain 2.6.18-92.e15 #1 SMP Tue Apr 29 13:16:12 EDT 2008 i686 i686 i386 GNU/Linux
Machine Type = 4838-310


How reproducible:
Always

Steps to Reproduce:
Install Red Hat Enterprise Server 5.2. During the installation phase, choose to configure and activate network device and let the installation complete. After the first reboot, the error will be reproduced.
  
lspci:
00:00.0 Host bridge: VIA Technologies, Inc. P4M900 Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. P4M900 Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. P4M900 Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. P4M900 Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. P4M900 Host Bridge
00:00.5 PIC: VIA Technologies, Inc. P4M900 I/O APIC Interrupt Controller
00:00.6 Host bridge: VIA Technologies, Inc. P4M900 Security Device
00:00.7 Host bridge: VIA Technologies, Inc. P4M900 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:02.0 PCI bridge: VIA Technologies, Inc. P4M900 PCI to PCI Bridge Controller (rev 80)
00:03.0 PCI bridge: VIA Technologies, Inc. P4M900 PCI to PCI Bridge Controller (rev 80)
00:0f.0 IDE interface: VIA Technologies, Inc. Unknown device 5287 (rev 20)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 91)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 91)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 91)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 91)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 90)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8251 PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8251 Ultra VLINK Controller
00:13.0 Host bridge: VIA Technologies, Inc. VT8251 Host Bridge
00:13.1 PCI bridge: VIA Technologies, Inc. VT8251 PCI to PCI Bridge
01:00.0 VGA compatible controller: VIA Technologies, Inc. Chrome9 HC IGP (rev 01)
80:00.0 PCI bridge: VIA Technologies, Inc. VT8251 PCIE Root Port
80:00.1 PCI bridge: VIA Technologies, Inc. VT8251 PCIE Root Port
80:01.0 Audio device: VIA Technologies, Inc. VIA High Definition Audio Controller
81:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)


Customer has identified that this upstream commit fixes this bug:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=162dedd39dcc6eca3fc0d29cf19658c6c13b840e

Comment 1 Flavio Leitner 2009-05-18 20:10:23 UTC
Created attachment 344515 [details]
patch with upstream commit backported for 2.6.18-148.el5

Comment 2 Dean Nelson 2009-06-02 17:11:12 UTC
Created attachment 346286 [details]
[RHEL5 PATCH] PCI quirk: disable MSI on VIA VT3364 chipsets

The attached patch has been posted to rhkernel-list.

Comment 4 RHEL Program Management 2009-06-19 20:01:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Don Zickus 2009-07-07 15:05:06 UTC
in kernel-2.6.18-157.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 9 Jan Tluka 2009-07-20 15:42:34 UTC
Patch is in -158.el5. Adding SanityOnly.

Comment 10 Alex He 2009-07-23 02:33:44 UTC
as no such hardwares in RHTS ( PCI-ID: 1106:3364, CN896/VN896/P4M900 Host Bridge
), we only check its sanity, and Jan has checked.

Comment 12 errata-xmlrpc 2009-09-02 08:05:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html


Note You need to log in before you can comment on or make changes to this bug.